%define upstream_name VFSsimple-Drv-Http
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
License:	WTFPL
Group:		Development/Perl
Summary:	A VFSsimple implementation over Http protocol
URL:		http://search.cpan.org/dist/%{upstream_name}
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(URI)
BuildRequires:  perl(Net::HTTP)
BuildRequires:  perl(VFSsimple)
BuildArch: noarch

%description
This module provide access method for VFSsimple module to access to file
on http server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"


%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-5pclos2017
- rebuild against updates

